<?php
/**
 * @package		HikaShop for Joomla!
 * @version		1.4.7
 * @author		Emilio Arrufat & hikashop.com
 * @copyright	(C) 2011 Emilio Arrufat & HIKARI SOFTWARE. All rights reserved.
 * @license		GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * Based on bluepaid payment plugin by hikashop
 */
defined('_JEXEC') or die('Restricted access');
?>

<tr>
	<td class="key">
		<label for="data[payment][payment_params][url]">
			<?php echo JText::_( 'CECA_URL' ); ?>
		</label>
	</td>
	<td>
		<input type="text" name="data[payment][payment_params][url]" value="<?php echo @$this->element->payment_params->url; ?>" />
	</td>
</tr>

<tr>
	<td class="key">
		<label for="data[payment][payment_params][merchantId]">
			<?php echo JText::_( 'CECA_MERCHANT_ID' ); ?>
		</label>
	</td>
	<td>
		<input type="text" name="data[payment][payment_params][merchantId]" value="<?php echo @$this->element->payment_params->merchantId; ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][acquirerBin]">
			<?php echo 'Acquirer Bin'; ?>
		</label>
	</td>
	<td>
		<input type="text" name="data[payment][payment_params][acquirerBin]" value="<?php echo @$this->element->payment_params->acquirerBin; ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][terminalId]">
			<?php echo 'Terminal ID'; ?>
		</label>
	</td>
	<td>
		<input type="text" name="data[payment][payment_params][terminalId]" value="<?php echo @$this->element->payment_params->terminalId; ?>" />
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][encriptionKey]">
			<?php echo 'Clave de encriptación'; ?>
		</label>
	</td>
	<td>
		<input type="text" name="data[payment][payment_params][encriptionKey]" value="<?php echo @$this->element->payment_params->encriptionKey; ?>" />
	</td>
</tr>

<tr>
	<td class="key">
		<label for="data[payment][payment_params][return_url]">
			<?php echo 'URL OK o de retorno'; ?>
		</label>
	</td>
	<td>
		<input type="text" name="data[payment][payment_params][return_url]" value="<?php echo @$this->element->payment_params->return_url; ?>" />
	</td>
</tr>

<tr>
	<td class="key">
		<label for="data[payment][payment_params][cancel_url]">
			<?php echo 'URL OK o de cancelación'; ?>
		</label>
	</td>
	<td>
		<input type="text" name="data[payment][payment_params][cancel_url]" value="<?php echo @$this->element->payment_params->cancel_url; ?>" />
	</td>
</tr>

<tr>
	<td class="key">
		<label for="data[payment][payment_params][notification]">
			<?php echo JText::_( 'ALLOW_NOTIFICATIONS_FROM_CECA' ); ?>
		</label>
	</td>
	<td>
		<?php echo JHTML::_('select.booleanlist', "data[payment][payment_params][notification]" , '',@$this->element->payment_params->notification	); ?>
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][notification_url]">
			<?php echo JText::_( 'CECA_NOTIFICATION_URL' ); ?>
		</label>
	</td>
</tr>

<tr>
	<td class="key">
		<label for="data[payment][payment_params][debug]">
			<?php echo JText::_( 'CECA_DEBUG' ); ?>
		</label>
	</td>
	<td>
		<?php echo JHTML::_('select.booleanlist', "data[payment][payment_params][debug]" , '',@$this->element->payment_params->debug	); ?>
	</td>
</tr>

<tr>
	<td class="key">
		<label for="data[payment][payment_params][invalid_status]">
			<?php echo JText::_( 'CECA_INVALID_STATUS' ); ?>
		</label>
	</td>
	<td>
		<?php echo $this->data['category']->display("data[payment][payment_params][invalid_status]",@$this->element->payment_params->invalid_status); ?>
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][pending_status]">
			<?php echo JText::_( 'CECA_PENDING_STATUS' ); ?>
		</label>
	</td>
	<td>
		<?php echo $this->data['category']->display("data[payment][payment_params][pending_status]",@$this->element->payment_params->pending_status); ?>
	</td>
</tr>
<tr>
	<td class="key">
		<label for="data[payment][payment_params][verified_status]">
			<?php echo JText::_( 'CECA_VERIFIED_STATUS' ); ?>
		</label>
	</td>
	<td>
		<?php echo $this->data['category']->display("data[payment][payment_params][verified_status]",@$this->element->payment_params->verified_status); ?>
	</td>
</tr>